#!/bin/sh
#
#  Gather and merge per user data from switched process  
#  accounting files.
#

_users=/usr/local/adm/acct/users
LOCK=.acctuser.lock
export PATH
PATH=/usr/lib/acct:/bin:/usr/bin:/etc:/usr/adm:/usr/local/lib/acct
_date="`date +%m%d`"
merged_file=${_users}/ucmds.$_date
umask 022
trap 'echo "Aborting"; rm -f $LOCK; exit 1' 1 2 3 

cd $_users
while test -f $LOCK
do
 sleep 1800
done
touch $LOCK

ucmds=`ls ucmds.${_date}.* 2> /dev/null`
if test "$ucmds" = ""
then
  echo "No 'ucmds' files found."
  rm -f $LOCK
  exit 1
fi

echo "ucmds size: blocks"
for i in $ucmds
do
  ls -s  $i
done

touch $merged_file
chmod 644 $merged_file
time upacct $merged_file $ucmds 2>&1
rm -f $ucmds $LOCK

exit 0 

