#!/bin/sh
#
#  Display daily user command summaries that have been
#  created by merging per-host command summaries.
#

PATH=/bin:/usr/bin:/usr/local/bin:/usr/local/etc
trap "echo exiting user command information; exit 4" 1 2 3 9 15
HOME=/ephem/Accounting/accounting/users
umask 022

if test $# -eq 0
then
  echo "Usage: ucomm <username> [date(mmdd)]"
  exit 1
fi

cd $HOME

if test $# -eq 2
then
  ucmds=`ls ucmds.$2 2> /dev/null` 
else
  ucmds=`ls ucmds.????|sort -r 2> /dev/null`
fi
if test "$ucmds" = ""
then
  echo "No user data found"
  exit 1
fi

for i in $ucmds
do
  showcomm $1 $i|less
done 

exit 0
